Skip to navigation

Check Zone for Address

Check the applicable tax zone for a given address and customer group.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
country_codestringRequired

Two-letter ISO 3166-1 country code.

subdivision_codestringOptional

ISO 3166-2 subdivision code, up to three alphanumeric characters.

postal_codestringOptional
Postal code.
customer_group_idintegerOptional
Customer Group ID to which the customer is belongs.

Response

OK
datalist of objectsOptional

Errors

422
Unprocessable Entity Error